/**
 *
 */
package com.braintree.command.request;

import de.hybris.platform.payment.dto.BillingInfo;


public class BrainTreeCreateCreditCardPaymentMethodRequest extends BrainTreeCreatePaymentMethodRequest {

    private boolean isDefault;
    private boolean threeDSecureFlow;

    public BrainTreeCreateCreditCardPaymentMethodRequest(final String merchantTransactionCode) {
        super(merchantTransactionCode);
    }

    public BrainTreeCreateCreditCardPaymentMethodRequest(final String merchantTransactionCode, final String methodNonce,
                                                         final String cardholderName, final String customerId, final String billingAddressId,
                                                         final BillingInfo billingInfo, final String amount, final boolean advancedFraudTools, final String deviceData, final boolean threeDSecureFlow) {
        super(merchantTransactionCode, methodNonce, cardholderName, customerId, billingAddressId, billingInfo, amount, advancedFraudTools, deviceData);
        this.threeDSecureFlow = threeDSecureFlow;
    }

    public boolean getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(boolean isDefault) {
        this.isDefault = isDefault;
    }

    public boolean isThreeDSecureFlow() {
        return threeDSecureFlow;
    }

    public void setThreeDSecureFlow(boolean threeDSecureFlow) {
        this.threeDSecureFlow = threeDSecureFlow;
    }
}
